import QtQuick 1.1
import "utils.js" as Utils

MbIcon {
	id: multi
	iconId: "overview-inverter"

	Column {
		spacing: 3
		anchors {
			left: parent.left; leftMargin: 28
			top: parent.top; topMargin: 62
		}

		Led {
			bind: Utils.path(sys.vebusPrefix, "/Leds/Mains")
			onColor: "#68FF00"
		}
		Led {
			bind: Utils.path(sys.vebusPrefix, "/Leds/Bulk")
		}
		Led {
			bind: Utils.path(sys.vebusPrefix, "/Leds/Absorption")
		}
		Led {
			bind: Utils.path(sys.vebusPrefix, "/Leds/Float")
		}
	}

	Column {
		spacing: 3
		anchors {
			right: parent.right; rightMargin: 28
			top: parent.top; topMargin: 62
		}

		Led {
			bind: Utils.path(sys.vebusPrefix, "/Leds/Inverter")
			onColor: "#68FF00"
		}
		Led {
			bind: Utils.path(sys.vebusPrefix, "/Leds/Overload")
			onColor: "#F75E25"
		}
		Led {
			bind: Utils.path(sys.vebusPrefix, "/Leds/LowBattery")
			onColor: "#F75E25"
		}
		Led {
			bind: Utils.path(sys.vebusPrefix, "/Leds/Temperature")
			onColor: "#F75E25"
		}
	}

	Text {
		anchors {
			horizontalCenter: multi.horizontalCenter
			top: multi.top; topMargin: 8
		}
		horizontalAlignment: Text.AlignHCenter
		color: "white"
		font {pixelSize: 16; bold: true}
		text: vebusState.text

		SystemState {
			id: vebusState
			bind: Utils.path(sys.vebusPrefix, "/State")
		}
	}
}

