import QtQuick 1.1
import "utils.js" as Utils

MbPage {
	id: root

	property string bindPrefix: "com.victronenergy.settings"

	title: qsTr("Periodic test run")

	model: VisualItemModel {
		id: vItemModel
		MbSwitch {
			id: enableSwich
			name: qsTr("Enable")
			bind: Utils.path(root.bindPrefix, "/Settings/Generator0/TestRun/Enabled")
			enabled: valid
		}

		MbSpinBox {
			description: qsTr("Test run interval")
			bind: Utils.path(root.bindPrefix, "/Settings/Generator0/TestRun/Interval")
			unit: qsTr(" days")
			numOfDecimals: 0
			stepSize: 1
			max: 30
		}

		MbItemOptions {
			description: qsTr("Skip test run if has been running for")
			bind:  Utils.path(root.bindPrefix, "/Settings/Generator0/TestRun/SkipRuntime")
			possibleValues: [
				MbOption{ description: qsTr("Start always"); value: 0 },
				MbOption{ description: qsTr("1 Hour"); value: 3600 },
				MbOption{ description: qsTr("2 Hours"); value: 7200 },
				MbOption{ description: qsTr("4 Hours"); value: 14400 },
				MbOption{ description: qsTr("6 Hours"); value: 21600 },
				MbOption{ description: qsTr("8 Hours"); value: 28800 },
				MbOption{ description: qsTr("10 Hours"); value: 36000 }
			]
		}

		MbEditBoxDateTime {
			description: qsTr("Test interval start date")
			format: "yyyy-MM-dd"
			bind: Utils.path(root.bindPrefix, "/Settings/Generator0/TestRun/StartDate")
		}

		MbEditBoxTime {
			description: qsTr("Start time")
			bind: Utils.path(root.bindPrefix, "/Settings/Generator0/TestRun/StartTime")
		}
		MbEditBoxTime {
			id: testDuration
			description: qsTr("Test duration (hh:mm)")
			bind: Utils.path(bindPrefix, "/Settings/Generator0/TestRun/Duration")
			show: !runTillBatteryFull.checked
		}
		MbSwitch {
			id: runTillBatteryFull
			name: qsTr("Run until battery is fully charged")
			bind: Utils.path(root.bindPrefix, "/Settings/Generator0/TestRun/RunTillBatteryFull")
			enabled: valid
		}
	}
}
