import QtQuick 1.1
import com.victron.velib 1.0
import "utils.js" as Utils

MbPage {
	id: root

	property string bindPrefix: "com.victronenergy.settings"

	function rebootToRemoveToast() {
		var text = qsTr("This sensor will remain visible on the devices list, " +
						"reboot to remove it.")
		toast.createToast(text, 5000)
	}

	model: VisualItemModel {
		MbSwitch {
			name: qsTr("Tank level sensor 1")
			bind: Utils.path(bindPrefix, "/Settings/AnalogInput/Resistive/1/Function")
			show: valid
			onCheckedChanged: if (valid && !checked) rebootToRemoveToast()
		}
		MbSwitch {
			name: qsTr("Tank level sensor 2")
			bind: Utils.path(bindPrefix, "/Settings/AnalogInput/Resistive/2/Function")
			show: valid
			onCheckedChanged: if (valid && !checked) rebootToRemoveToast()
		}
		MbSwitch {
			name: qsTr("Tank level sensor 3")
			bind: Utils.path(bindPrefix, "/Settings/AnalogInput/Resistive/3/Function")
			show: valid
			onCheckedChanged: if (valid && !checked) rebootToRemoveToast()
		}
		MbSwitch {
			name: qsTr("Temperature sensor 1")
			bind: Utils.path(bindPrefix, "/Settings/AnalogInput/Temperature/1/Function")
			show: valid
			onCheckedChanged: if (valid && !checked) rebootToRemoveToast()
		}
		MbSwitch {
			name: qsTr("Temperature sensor 2")
			bind: Utils.path(bindPrefix, "/Settings/AnalogInput/Temperature/2/Function")
			show: valid
			onCheckedChanged: if (valid && !checked) rebootToRemoveToast()
		}
	}
}
