import QtQuick 1.1
import com.victron.velib 1.0

MbPage {
	id: root
	title: qsTr("Services")

	model: VisualItemModel {
		MbSwitch {
			name: qsTr("Modbus/TCP")
			bind: "com.victronenergy.settings/Settings/Services/Modbus"
		}

		MbSwitch {
			name: qsTr("MQTT")
			bind: "com.victronenergy.settings/Settings/Services/Mqtt"
		}

		MbSwitch {
			name: qsTr("VRM two-way communication")
			bind: "com.victronenergy.settings/Settings/Services/Vrmpubnub"
		}

		MbSwitch {
			name: qsTr("Console on VE.Direct 1")
			bind: "com.victronenergy.settings/Settings/Services/Console"
			show: ColorControl.accessLevel >= Victron.AccessSuperUser
		}

		MbItemText {
			wrapMode: Text.WordWrap
			text: qsTr("Note: Enabling LG Resu disables the other supported CAN-bus services and vice versa")
		}

		MbSwitch {
			name: qsTr("Oceanvolt Motor Drive")
			bind: "com.victronenergy.settings/Settings/Services/OceanvoltMotorDrive"
		}

		MbSwitch {
			name: qsTr("Valence Battery")
			bind: "com.victronenergy.settings/Settings/Services/OceanvoltValence"
		}

		MbSwitch {
			name: qsTr("Onboard Ve.Can")
			bind: "com.victronenergy.settings/Settings/Services/VeCan"
		}

		MbSwitch {
			name: qsTr("CAN-bus BMS")
			bind: "com.victronenergy.settings/Settings/Services/LgResu"
		}
	}
}
